Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040061
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Cash upmajoralways2019-01-23 18:242019-09-10 10:25
ReportermalsasuaView Statuspublic 
Assigned Toranjith_qualiantech_com 
PriorityimmediateResolutionfixedFixed in VersionRR18Q3.5
StatusclosedFix in branchFixed in SCM revision7ef6a9f728d0
ProjectionnoneETAnoneTarget VersionRR18Q3.5
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomarvintm
Regression levelProduction - Confirmed Stable
Regression date
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/d0797b3798881a9b775cb323b3c79e49159eac58 [^]
Triggers an Emergency PackNo
Summary

0040061: Counted amount is wrong in the Cashup Report

DescriptionThe counted amount is wrong when the cashup report is printed in the backend.
Steps To ReproducePOS:
. new receipt:
 . product Avalanche Transceiver
   -> total amount 150.50 -> paid with Cash
. new receipt:
 . product Balaclava Cup
   -> total amount 169 -> paid with Card
. new receipt:
 . product Headlamp ultralight
   -> total amount 18.90 -> paid with USA Cash
. do cashup:
 . counted amounts:
   . cash-> 150
   . card -> 169
   . USA Cash -> 18.90
 ¬∑ amount to keep:
   ¬∑cash-> 200

BO:
. go to terminal-> cashup -> print cashup:
  counted amount:
   . cash -> 0 (WRONG)
   . card -> 0 (WRONG)
   . USA Cash -> 18.9 (RIGHT)
. go to terminal -> cashup -> Payment Method Status Cashup tab:
  counted amount:
   . cash -> 0 (WRONG)
   . card -> 0 (WRONG)
   . USA Cash -> 18.9 (RIGHT)

(see screenshots)

amountToKeep is 0 and it should be 200 in the backoffice
TagsNo tags attached.
Attached Filespatch file icon issue 40061 posterminal formatter.patch [^] (13,796 bytes) 2019-01-30 16:35 [Show Content]
patch file icon issue 40061 posterminal fix.patch [^] (5,654 bytes) 2019-01-30 16:36 [Show Content]
patch file icon issue 40061 pimobile test.patch [^] (7,431 bytes) 2019-01-30 16:36 [Show Content]
? file icon issue40019ScriptFixData_v2.sql [^] (3,066 bytes) 2019-09-10 10:25

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0040019 closedranjith_qualiantech_com Counted amount is wrong in the Cashup Report 

-  Notes
(0109700)
hgbot (developer)
2019-02-12 12:01

Repository: retail/backports/3.0RR18Q3.5/org.openbravo.retail.posterminal
Changeset: 855eb6d288dcf8f790f00eccf982603978d276bc
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Feb 12 16:31:19 2019 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR18Q3.5/org.openbravo.retail.posterminal/rev/855eb6d288dcf8f790f00eccf982603978d276bc [^]

Related to issue 40061 : Applied New Java Formatting

---
M src/org/openbravo/retail/posterminal/UpdateCashup.java
---
(0109701)
hgbot (developer)
2019-02-12 12:03

Repository: retail/backports/3.0RR18Q3.5/org.openbravo.retail.posterminal
Changeset: 7ef6a9f728d02249a7d630e125cb24ab767a5c21
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Feb 12 16:31:19 2019 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR18Q3.5/org.openbravo.retail.posterminal/rev/7ef6a9f728d02249a7d630e125cb24ab767a5c21 [^]

Fixed issue 40061 : PaymentMethodCashup should be updated when Cashup is Done

* PaymentMethodCashup should be created/updated for the following cases
  1) when cashup is closed
  2) when ticket is closed with respective payment

---
M src/org/openbravo/retail/posterminal/UpdateCashup.java
---
(0109702)
hgbot (developer)
2019-02-12 12:03

Repository: retail/backports/3.0RR18Q3.5/pi-mobile
Changeset: da5d5564071788b01daf9fe2e2dc53a265956497
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Feb 12 16:32:54 2019 +0530
URL: http://code.openbravo.com/retail/backports/3.0RR18Q3.5/pi-mobile/rev/da5d5564071788b01daf9fe2e2dc53a265956497 [^]

Verifies issue 40061 : Added Automated Test "I40061_VerifyCountedAmountAfterCashup"

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cashup/I40061_VerifyCountedAmountAfterCashup.java
---
(0110083)
hgbot (developer)
2019-02-26 14:00

Repository: tools/automation/pi-mobile
Changeset: da5d5564071788b01daf9fe2e2dc53a265956497
Author: Ranjith S R <ranjith <at> qualiantech.com>
Date: Tue Feb 12 16:32:54 2019 +0530
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/da5d5564071788b01daf9fe2e2dc53a265956497 [^]

Verifies issue 40061 : Added Automated Test "I40061_VerifyCountedAmountAfterCashup"

---
A src-test/org/openbravo/test/mobile/retail/pack/selenium/tests/cashup/I40061_VerifyCountedAmountAfterCashup.java
---

- Issue History
Date Modified Username Field Change
2019-01-30 10:52 marvintm Type defect => backport
2019-01-30 10:52 marvintm Target Version => RR18Q3.5
2019-01-30 16:35 ranjith_qualiantech_com File Added: issue 40061 posterminal formatter.patch
2019-01-30 16:36 ranjith_qualiantech_com File Added: issue 40061 posterminal fix.patch
2019-01-30 16:36 ranjith_qualiantech_com File Added: issue 40061 pimobile test.patch
2019-02-12 12:01 hgbot Checkin
2019-02-12 12:01 hgbot Note Added: 0109700
2019-02-12 12:03 hgbot Checkin
2019-02-12 12:03 hgbot Note Added: 0109701
2019-02-12 12:03 hgbot Status scheduled => resolved
2019-02-12 12:03 hgbot Resolution open => fixed
2019-02-12 12:03 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/c5744e78fbacd1937c39fce01e867a30cf4cd7f4 [^] => http://code.openbravo.com/retail/backports/3.0RR18Q3.5/org.openbravo.retail.posterminal/rev/7ef6a9f728d02249a7d630e125cb24ab767a5c21 [^]
2019-02-12 12:03 hgbot Checkin
2019-02-12 12:03 hgbot Note Added: 0109702
2019-02-15 14:19 marvintm Review Assigned To => marvintm
2019-02-15 14:19 marvintm Status resolved => closed
2019-02-15 14:19 marvintm Fixed in Version => RR18Q3.5
2019-02-26 14:00 hgbot Checkin
2019-02-26 14:00 hgbot Note Added: 0110083
2019-09-10 10:25 malsasua File Added: issue40019ScriptFixData_v2.sql


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker